# CUpti_Profiler_CounterDataImage_Initialize_Params Struct Reference
[CUPTI Profiler API]

Params for cuptiProfilerCounterDataImageInitialize.

## Data Fields

size_t | counterDataImageSize
| [in] Size calculated from cuptiProfilerCounterDataImageCalculateSize
uint8_t * | pCounterDataImage
| [in] The buffer to be initialized.
const CUpti_Profiler_CounterDataImageOptions * | pOptions
| [in] Pointer to CUpti_Profiler_CounterDataImageOptions
void * | pPriv
| [in] assign to NULL
size_t | sizeofCounterDataImageOptions
| [in] CUpti_Profiler_CounterDataImageOptions_STRUCT_SIZE
size_t | structSize
| [in] CUpti_Profiler_CounterDataImage_Initialize_Params_STRUCT_SIZE